Bug 734707 - repoquery --whatrequires --output=ascii-tree returns nothing
repoquery --whatrequires --output=ascii-tree returns nothing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-31 04:29 EDT by Pierre-YvesChibon
Modified: 2014-01-21 18:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 09:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre-YvesChibon 2011-08-31 04:29:10 EDT
Description of problem:
Running the command:
repoquery --whatrequires --output=ascii-tree R
returns nothing.

Version-Release number of selected component (if applicable):
yum-utils-1.1.31-2.fc15.noarch

How reproducible:
always

Steps to Reproduce:
1.repoquery --whatrequires --output=ascii-tree R

Actual results:
Nothing

Expected results:
R-2.13.1-4.fc15.x86_64 [cmd line]
 \_  R-XML-3.2.0-2.fc15.x86_64 [1: R = 2.13.1-4.fc15]
 \_  R-affy-1.30.0-1.fc15.x86_64 [1: R = 2.13.1-4.fc15]
 |   \_  R-affydata-1.11.11-1.fc15.noarch [1: R-affy = 1.30.0-1.fc15]
 \_  R-caTools-1.12-1.fc15.x86_64 [1: R = 2.13.1-4.fc15]
 \_  R-car-2.0-9.fc15.noarch [1: R = 2.13.1-4.fc15]
....

Additional info:
Patch available at: http://lists.baseurl.org/pipermail/yum-devel/2011-August/008519.html
Comment 1 seth vidal 2011-09-12 13:14:31 EDT
Pierre-Yves,
 your patch has been merged upstream. It's just not been rolled into a release of yum-utils for f15, as yet.

Is there some other problem?
Comment 2 Pierre-YvesChibon 2011-09-12 14:49:03 EDT
Sorry I missed the fact that it had been pushed.

Closing as release_pending then :)

Thanks!
Comment 3 Jan Pokorný 2012-07-26 09:40:08 EDT
Works well in F17 -> CLOSED.

[ Just wanted to find something related to "repoquery AND tree"
  as commands like "--tree-whatrequires" are still frequented
  and works while the man page is not mentioning it, which is
  confusing -- I suppose this is silently deprecated;
  the respective change: 
  http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=356ddc1 ]

Note You need to log in before you can comment on or make changes to this bug.